API Documentation
Browse the docs
List custom tools
GET
/api/custom-toolsList custom tools in your organization.
Filter by status or publication state. Paginated — follow nextCursor until it is null.
Parameters
statusqueryoptionalFilter by status.
publishedqueryoptionalFilter to published (true) or unpublished (false) tools.
limitqueryoptionalMaximum number of tools to return in one page.
cursorqueryoptionalPagination token from the previous response's nextCursor.
HTTP Response Status Codes
| Status code | Description |
|---|---|
| 200 | Successful Response |
| 401 | API key missing or invalid. |
| 422 | The request was malformed or failed validation; see errors for the offending fields. |
1import requests
2
3api_key = "insert-api-key-here"
4url = "https://app.tamarind.bio/api/custom-tools"
5headers = {"x-api-key": api_key}
6
7resp = requests.get(url, headers=headers)
8print(resp.status_code, resp.json())Response
1{
2 "items": [
3 {
4 "autoPublish": false,
5 "canBuild": false,
6 "canEdit": false,
7 "cpu": 0,
8 "createdAt": "string",
9 "defaultVersion": "string",
10 "description": "string",
11 "displayName": "string",
12 "estTime": "string",
13 "functions": [],
14 "gpuType": "None",
15 "hasSource": false,
16 "homeDiskGi": 0,
17 "maxRuntimeSeconds": 0,
18 "memory": "8Gi",
19 "name": "string",
20 "paperUrl": "string",
21 "published": false,
22 "status": "Draft",
23 "tags": [],
24 "updatedAt": "string"
25 }
26 ],
27 "nextCursor": "string"
28}